com.rscja.deviceapi.entity

## Class GPOEntity

- java.lang.Object
- - com.rscja.deviceapi.entity.GPOEntity

-     public class GPOEntity
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GPO1`
    `static java.lang.String` | `GPO2`
    `static java.lang.String` | `GPO3`
    `static java.lang.String` | `GPO4`
    `static java.lang.String` | `WiegandData0`
    `static java.lang.String` | `WiegandData1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GPOEntity(java.lang.String gpoName, int gpoState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGpoName()`
    `int` | `getGpoState()`
    `void` | `setGpoName(java.lang.String gpoName)`
    `void` | `setGpoState(int gpoState)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GPO1

          public static final java.lang.String GPO1

      See Also:
        Constant Field Values

    - #### GPO2

          public static final java.lang.String GPO2

      See Also:
        Constant Field Values

    - #### GPO3

          public static final java.lang.String GPO3

      See Also:
        Constant Field Values

    - #### GPO4

          public static final java.lang.String GPO4

      See Also:
        Constant Field Values

    - #### WiegandData0

          public static final java.lang.String WiegandData0

      See Also:
        Constant Field Values

    - #### WiegandData1

          public static final java.lang.String WiegandData1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GPOEntity

          public GPOEntity(java.lang.String gpoName,
                           int gpoState)

  - ### Method Detail

    - #### getGpoName

          public java.lang.String getGpoName()

    - #### setGpoName

          public void setGpoName(java.lang.String gpoName)

    - #### getGpoState

          public int getGpoState()

    - #### setGpoState

          public void setGpoState(int gpoState)

      Parameters:
        `gpoState` - 0:Off 1:on